Bug 813979 - Fedora 17 Desktop suspend fails
Fedora 17 Desktop suspend fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 18:23 EDT by luavi1
Modified: 2012-05-18 20:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 20:40:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg, lspci -vvv, messages, lsmod (700.95 KB, application/zip)
2012-04-18 18:23 EDT, luavi1
no flags Details
yum list installed (17.48 KB, application/zip)
2012-04-18 18:55 EDT, luavi1
no flags Details
/var/log/pm-suspend.log (1.54 KB, application/zip)
2012-04-19 03:34 EDT, luavi1
no flags Details
dmidecode (6.65 KB, text/plain)
2012-04-19 13:42 EDT, Alexei Panov
no flags Details
lspci -vvvv (10.79 KB, text/plain)
2012-04-19 13:42 EDT, Alexei Panov
no flags Details
lsusb -vvvv (39.64 KB, text/plain)
2012-04-19 13:43 EDT, Alexei Panov
no flags Details
Q6600, Gigabyte EP45-DS3, NVidia 8400 GS lspci, lsusb, dmesg, messages, pm-suspend.log etc. (45.12 KB, application/zip)
2012-04-19 17:38 EDT, luavi1
no flags Details
lspci -vvv (30.85 KB, application/octet-stream)
2012-04-19 17:56 EDT, Amir Hedayaty
no flags Details

  None (edit)
Description luavi1 2012-04-18 18:23:38 EDT
Created attachment 578468 [details]
dmesg, lspci -vvv, messages, lsmod

Description of problem:
after installing F17 Desktop Beta 64bit on a clean harddrive of Thinkpad X61s and then updating with yum, the laptop does not suspend, instead the half-moon LED blinks and Network will become 'unmanaged.'

Version-Release number of selected component (if applicable):
Fedora 17 Desktop 64bit Beta.

How reproducible:
I have tried it on 2 different Thinkpad X61s laptops, one of them had different wifi card.

Steps to Reproduce:
1.install F17 Beta 64bit
2.yum update -y
3.close lid / click 'suspend'
  
Actual results:
The computer stays on

Expected results:
The computer suspends to RAM.

Additional info:
One of the laptops was clean install, the other was dist-upgrade. Both computers stopped to suspend after recent yum update.

The downgrade of kernel does not solve the issue - it is most likely not introduced by kernel version.

uname -a
Linux a.local 3.3.2-1.fc17.x86_64 #1 SMP Fri Apr 13 20:23:49 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

yum repolist 
Loaded plugins: langpacks, refresh-packagekit
repo id                      repo name                                    status
adobe-linux-x86_64           Adobe Systems Incorporated                        2
fedora                       Fedora 17 - x86_64                           26,821
livna                        rpm.livna.org for 17 - x86_64                     5
updates                      Fedora 17 - x86_64 - Updates                      0
updates-testing              Fedora 17 - x86_64 - Test Updates             7,805
repolist: 34,633

X61s BIOS 2.22
Comment 1 luavi1 2012-04-18 18:55:19 EDT
Created attachment 578470 [details]
yum list installed
Comment 2 luavi1 2012-04-19 03:34:08 EDT
Created attachment 578528 [details]
/var/log/pm-suspend.log
Comment 3 Alexei Panov 2012-04-19 08:35:44 EDT
I can confirm this bug with another laptop (i.e. HP Mini 5101).
Fedora 17 i686 (3.3.2-1.fc17.i686).
Comment 4 luavi1 2012-04-19 13:20:47 EDT
(In reply to comment #3)
> I can confirm this bug with another laptop (i.e. HP Mini 5101).
> Fedora 17 i686 (3.3.2-1.fc17.i686).

Could you attach / give the details of the hardware? I will also change the title of the bug.
Comment 5 luavi1 2012-04-19 13:23:12 EDT
I should have added that I am not sure if the bug appears before or after computer restart.


(In reply to comment #0)
> Created attachment 578468 [details]
> dmesg, lspci -vvv, messages, lsmod
> 
> Description of problem:
> after installing F17 Desktop Beta 64bit on a clean harddrive of Thinkpad X61s
> and then updating with yum, the laptop does not suspend, instead the half-moon
> LED blinks and Network will become 'unmanaged.'
> 
> Version-Release number of selected component (if applicable):
> Fedora 17 Desktop 64bit Beta.
> 
> How reproducible:
> I have tried it on 2 different Thinkpad X61s laptops, one of them had different
> wifi card.
> 
> Steps to Reproduce:
> 1.install F17 Beta 64bit
> 2.yum update -y
> 3.close lid / click 'suspend'
> 
> Actual results:
> The computer stays on
> 
> Expected results:
> The computer suspends to RAM.
> 
> Additional info:
> One of the laptops was clean install, the other was dist-upgrade. Both
> computers stopped to suspend after recent yum update.
> 
> The downgrade of kernel does not solve the issue - it is most likely not
> introduced by kernel version.
> 
> uname -a
> Linux a.local 3.3.2-1.fc17.x86_64 #1 SMP Fri Apr 13 20:23:49 UTC 2012 x86_64
> x86_64 x86_64 GNU/Linux
> 
> yum repolist 
> Loaded plugins: langpacks, refresh-packagekit
> repo id                      repo name                                   
> status
> adobe-linux-x86_64           Adobe Systems Incorporated                       
> 2
> fedora                       Fedora 17 - x86_64                          
> 26,821
> livna                        rpm.livna.org for 17 - x86_64                    
> 5
> updates                      Fedora 17 - x86_64 - Updates                     
> 0
> updates-testing              Fedora 17 - x86_64 - Test Updates            
> 7,805
> repolist: 34,633
> 
> X61s BIOS 2.22
Comment 6 Alexei Panov 2012-04-19 13:42:06 EDT
Created attachment 578720 [details]
dmidecode
Comment 7 Alexei Panov 2012-04-19 13:42:35 EDT
Created attachment 578721 [details]
lspci -vvvv
Comment 8 Alexei Panov 2012-04-19 13:43:10 EDT
Created attachment 578722 [details]
lsusb -vvvv
Comment 9 Vladimir 2012-04-19 16:02:55 EDT
Three my computers has affected this bug. 
Laptop Dell Inspiron N5010, i5
Laptop msi U90, Intel® Atom™ N270
Noname Desktop with  Gigabyte H55-UD3H, i5
Comment 10 Vladimir 2012-04-19 16:05:38 EDT
Sorry, this is OK:
On three my computers this bug has appearedLaptop Dell Inspiron N5010, i5
Laptop msi U90, Intel® Atom™ N270
Noname Desktop with  Gigabyte H55-UD3H, i5
Comment 11 luavi1 2012-04-19 17:37:39 EDT
Another computer fails to suspend,
Q6600, Nvidia 8400 GS (both kmod-nvidia & nouveau), Gigabyte EP-45-DS3R
Comment 12 luavi1 2012-04-19 17:38:57 EDT
Created attachment 578794 [details]
Q6600, Gigabyte EP45-DS3, NVidia 8400 GS lspci, lsusb, dmesg, messages, pm-suspend.log etc.
Comment 13 Amir Hedayaty 2012-04-19 17:56:25 EDT
Created attachment 578796 [details]
lspci -vvv
Comment 14 luavi1 2012-04-19 19:42:39 EDT
Latest yum upgrade solved the issue for me.
Comment 15 Jeff Sheltren 2012-04-23 18:26:27 EDT
I'm still experiencing this issue on a Lenovo X1 laptop.  Suspend worked fine with the initial F17 beta install, but stopped working after a yum update sometime in the 4/16-4/20 time period.

I'm currently running with all the latest updates from updates-testing and the problem persists.  Same symptoms as the original post -- "sleep" LED blinks instead of normal behavior of blinking a few times then staying solid.  Upon re-opening the lid, network connections under NetworkManager no longer work, and it says "unmanaged" next to them.  A server NetworkManager restart brings those back however.
Comment 16 Jeff Sheltren 2012-04-27 10:05:26 EDT
Something in the updates the last few days seems to have fixed this for me.  Suspend is now working correctly.
Comment 17 Matthias Clasen 2012-05-18 20:40:45 EDT
this was an selinux problem, I believe

Note You need to log in before you can comment on or make changes to this bug.